import { IcBrand, IcBrandForeground, IcBrandForegroundNoDefault } from "../../utils/types";
export declare class FooterLinkGroup {
    el: HTMLIcFooterLinkGroupElement;
    expanded: boolean;
    deviceSize: number;
    dropdownIconStyle: IcBrandForegroundNoDefault | IcBrandForeground;
    small: boolean;
    /**
     * The title of the link group to be displayed.
     */
    label: string;
    componentWillLoad(): void;
    componentDidLoad(): void;
    footerResizeHandler(): void;
    footerBrandChangeHandler(ev: CustomEvent<IcBrand>): void;
    private isSmall;
    private handleKeydown;
    private toggleExpanded;
    render(): any;
}
